
package ws.sivale.com.mx.exposition.servicios.tarjeta;

import com.mx.sivale.config.WsdlConfig;
import org.apache.log4j.Logger;

import javax.xml.namespace.QName;
import javax.xml.ws.*;
import java.io.IOException;
import java.net.URL;

import static com.mx.sivale.config.constants.ConstantConfiguration.*;

/**
 * This class was generated by the JAX-WS RI. JAX-WS RI 2.2.6-1b01 // *
 * Generated source version: 2.2 // *
 */
@WebServiceClient(name = SERVICE_CARD, targetNamespace = WS_NAMESPACE_CARD)
public class ServiciosTarjeta extends Service {

	private static final Logger log = Logger.getLogger(ServiciosTarjeta.class);
	private static final URL SERVICIOSTARJETA_WSDL_LOCATION;
	private static final WebServiceException SERVICIOSTARJETA_EXCEPTION;
	private static final QName SERVICIOSTARJETA_QNAME = new QName(WS_NAMESPACE_CARD, SERVICE_CARD);

	static {
		URL url = null;
		WebServiceException e = null;
		try {

			String activeProfile;
			activeProfile = System.getProperty("spring.profiles.active");
			log.debug(":::::::::::::::::::::::::::: SERVICIOS TARJETA :::::::::::::::::::::::::::::::::::::");
			log.debug("CONFIG SERVICIOS PROFILE ::::::: " + activeProfile);
			log.debug(":::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::");
			log.debug("URL App inteliviajes :::::>>>>> " + WsdlConfig.WS_URL_TARJETAS);
			String urlServicios = WsdlConfig.WS_URL_TARJETAS;
			url = new URL(urlServicios);

		} catch (IOException ioE) {
			e = new WebServiceException(ioE);
		}
		SERVICIOSTARJETA_WSDL_LOCATION = url;
		SERVICIOSTARJETA_EXCEPTION = e;
	}

	public ServiciosTarjeta() {
		super(getWsdlLocation(), SERVICIOSTARJETA_QNAME);
	}

	public ServiciosTarjeta(WebServiceFeature... features) {
		super(getWsdlLocation(), SERVICIOSTARJETA_QNAME, features);
	}

	public ServiciosTarjeta(URL wsdlLocation) {
		super(wsdlLocation, SERVICIOSTARJETA_QNAME);
	}

	public ServiciosTarjeta(URL wsdlLocation, WebServiceFeature... features) {
		super(wsdlLocation, SERVICIOSTARJETA_QNAME, features);
	}

	public ServiciosTarjeta(URL wsdlLocation, QName serviceName) {
		super(wsdlLocation, serviceName);
	}

	public ServiciosTarjeta(URL wsdlLocation, QName serviceName, WebServiceFeature... features) {
		super(wsdlLocation, serviceName, features);
	}

	/**
	 * 
	 * @return returns ServiciosTarjetaType
	 */
	@WebEndpoint(name = SERVICE_CARD_PORT)
	public ServiciosTarjetaType getServiciosTarjetaTypePort() {
		return super.getPort(new QName(WS_NAMESPACE_CARD, SERVICE_CARD_PORT), ServiciosTarjetaType.class);
	}

	/**
	 * 
	 * @param features
	 *            A list of {@link javax.xml.ws.WebServiceFeature} to configure on
	 *            the proxy. Supported features not in the <code>features</code>
	 *            parameter will have their default values.
	 * @return returns ServiciosTarjetaType
	 */
	@WebEndpoint(name = SERVICE_CARD_PORT)
	public ServiciosTarjetaType getServiciosTarjetaTypePort(WebServiceFeature... features) {
		return super.getPort(new QName(WS_NAMESPACE_CARD, SERVICE_CARD_PORT), ServiciosTarjetaType.class, features);
	}

	private static URL getWsdlLocation() {
		if (SERVICIOSTARJETA_EXCEPTION != null)
			throw SERVICIOSTARJETA_EXCEPTION;
		return SERVICIOSTARJETA_WSDL_LOCATION;
	}

}
